> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Custom Avatars

> Mixin to provide a reusable `list` method for filtering and paginating queryset results.



## OpenAPI

````yaml get /api/personas_v2/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/personas_v2/:
    get:
      tags:
        - personas_v2
      description: >-
        Mixin to provide a reusable `list` method for filtering and paginating
        queryset results.
      operationId: personas_v2_list
      parameters:
        - in: query
          name: age_range
          schema:
            enum:
              - child
              - teen
              - adult
              - senior
            type: string
            minLength: 1
          description: |-
            Filter by one or more age ranges (comma-separated)

            * `child` - Child
            * `teen` - Teen
            * `adult` - Adult
            * `senior` - Senior
        - in: query
          name: gender
          schema:
            enum:
              - m
              - f
              - nb
            type: string
            minLength: 1
          description: |-
            Filter by one or more genders (comma-separated)

            * `m` - Male
            * `f` - Female
            * `nb` - Non-Binary
        - in: query
          name: location
          schema:
            enum:
              - outdoor
              - fantasy
              - indoor
              - other
            type: string
            minLength: 1
          description: |-
            Filter by one or more locations (comma-separated)

            * `outdoor` - Outdoor
            * `fantasy` - Fantasy
            * `indoor` - Indoor
            * `other` - Other
        - in: query
          name: style
          schema:
            enum:
              - selfie
              - presenter
              - other
            type: string
            minLength: 1
          description: |-
            Filter by one or more styles (comma-separated)

            * `selfie` - Selfie
            * `presenter` - Presenter
            * `other` - Other
        - in: query
          name: suitable_industries
          schema:
            type: array
            items:
              type: integer
              enum:
                - Apparel & Accessories
                - Appliances
                - Apps
                - Baby Kids & Maternity
                - Beauty & Personal Care
                - Business Services
                - E-Commerce
                - Education
                - Financial Services
                - Food & Beverage
                - Games
                - Health
                - Home Improvement
                - Household Products
                - Life Services
                - News & Entertainment
                - Others
                - Pets
                - Sports & Outdoors
                - Tech & Electronics
                - Travel
                - Vehicle & Transportation
          description: |-
            Filter by one or more industry names (comma-separated).

            * `Apparel & Accessories` - Apparel & Accessories
            * `Appliances` - Appliances
            * `Apps` - Apps
            * `Baby Kids & Maternity` - Baby Kids & Maternity
            * `Beauty & Personal Care` - Beauty & Personal Care
            * `Business Services` - Business Services
            * `E-Commerce` - E-Commerce
            * `Education` - Education
            * `Financial Services` - Financial Services
            * `Food & Beverage` - Food & Beverage
            * `Games` - Games
            * `Health` - Health
            * `Home Improvement` - Home Improvement
            * `Household Products` - Household Products
            * `Life Services` - Life Services
            * `News & Entertainment` - News & Entertainment
            * `Pets` - Pets
            * `Sports & Outdoors` - Sports & Outdoors
            * `Tech & Electronics` - Tech & Electronics
            * `Travel` - Travel
            * `Vehicle & Transportation` - Vehicle & Transportation
            * `Others` - Others
          explode: true
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Persona'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    Persona:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
        gender:
          allOf:
            - $ref: '#/components/schemas/Gender7c5Enum'
          description: |-
            gender of the persona

            * `m` - Male
            * `f` - Female
            * `nb` - Non-Binary
        age_range:
          allOf:
            - $ref: '#/components/schemas/AgeRangeEnum'
          description: |-
            age range of the persona

            * `child` - Child
            * `teen` - Teen
            * `adult` - Adult
            * `senior` - Senior
        location:
          allOf:
            - $ref: '#/components/schemas/LocationEnum'
          description: |-
            location of the persona

            * `outdoor` - Outdoor
            * `fantasy` - Fantasy
            * `indoor` - Indoor
            * `other` - Other
        style:
          allOf:
            - $ref: '#/components/schemas/PersonaStyleEnum'
          description: |-
            style of the persona

            * `selfie` - Selfie
            * `presenter` - Presenter
            * `other` - Other
        creator_name:
          type: string
          readOnly: true
        video_scene:
          type: string
          nullable: true
          description: A word to describe the background setting. API user rely on this
          maxLength: 255
        video:
          type: string
          format: uri
          writeOnly: true
        keywords:
          type: string
          nullable: true
          description: keywords (comma separated)
          maxLength: 255
        suitable_industries:
          type: string
          readOnly: true
        preview_image_16_9:
          type: string
          readOnly: true
          nullable: true
        preview_image_1_1:
          type: string
          readOnly: true
          nullable: true
        preview_image_9_16:
          type: string
          readOnly: true
          nullable: true
        preview_video_16_9:
          type: string
          readOnly: true
          nullable: true
        preview_video_1_1:
          type: string
          readOnly: true
          nullable: true
        preview_video_9_16:
          type: string
          readOnly: true
          nullable: true
        landscape_preview_video:
          type: string
          format: uri
          readOnly: true
          nullable: true
          description: Landscape preview video of the persona
        squared_preview_video:
          type: string
          format: uri
          readOnly: true
          nullable: true
          description: Squared preview video of the persona
        portrait_preview_video:
          type: string
          format: uri
          readOnly: true
          nullable: true
          description: Portrait preview video of the persona
        is_active:
          type: boolean
          readOnly: true
          title: Active
          description: Is the creator active to use, if not, it will not be shown in the UI
        process_status:
          type: string
          readOnly: true
        failed_reason:
          type: string
          readOnly: true
        type:
          type: string
          readOnly: true
      required:
        - created_at
        - creator_name
        - failed_reason
        - gender
        - id
        - is_active
        - landscape_preview_video
        - portrait_preview_video
        - preview_image_16_9
        - preview_image_1_1
        - preview_image_9_16
        - preview_video_16_9
        - preview_video_1_1
        - preview_video_9_16
        - process_status
        - squared_preview_video
        - suitable_industries
        - type
        - updated_at
        - video
    Gender7c5Enum:
      enum:
        - m
        - f
        - nb
      type: string
      description: |-
        * `m` - Male
        * `f` - Female
        * `nb` - Non-Binary
    AgeRangeEnum:
      enum:
        - child
        - teen
        - adult
        - senior
      type: string
      description: |-
        * `child` - Child
        * `teen` - Teen
        * `adult` - Adult
        * `senior` - Senior
    LocationEnum:
      enum:
        - outdoor
        - fantasy
        - indoor
        - other
      type: string
      description: |-
        * `outdoor` - Outdoor
        * `fantasy` - Fantasy
        * `indoor` - Indoor
        * `other` - Other
    PersonaStyleEnum:
      enum:
        - selfie
        - presenter
        - other
      type: string
      description: |-
        * `selfie` - Selfie
        * `presenter` - Presenter
        * `other` - Other
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````